aboutsummaryrefslogtreecommitdiffstats
path: root/pgaas/src/stage/opt/app/pgaas/etc/common-db-tasks
diff options
context:
space:
mode:
Diffstat (limited to 'pgaas/src/stage/opt/app/pgaas/etc/common-db-tasks')
-rw-r--r--pgaas/src/stage/opt/app/pgaas/etc/common-db-tasks43
1 files changed, 0 insertions, 43 deletions
diff --git a/pgaas/src/stage/opt/app/pgaas/etc/common-db-tasks b/pgaas/src/stage/opt/app/pgaas/etc/common-db-tasks
deleted file mode 100644
index 517fabd..0000000
--- a/pgaas/src/stage/opt/app/pgaas/etc/common-db-tasks
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/bash
-# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this code except in compliance
-# with the License. You may obtain a copy of the License
-# at http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied. See the License for the specific language governing
-# permissions and limitations under the License.
-
-
-set -x
-
-die()
-{
- echo $0: "$@" 1>&2
- echo $0: "$@"
- umask 022
- echo $0: "$@" >> /tmp/pgaas-failures
- exit 1
-}
-
-[ -n "$DBROOT" ] || die "DBROOT is not set"
-[ -n "$CFGDIR" ] || die "CFGDIR is not set"
-
-# set up ~/.pgpass
-$CFGDIR/etc/gen-pgpass
-# set up repmgr.conf
-$CFGDIR/etc/gen-repmgr.conf
-
-# We don't really need to save pwd.cfg anymore since we are now forcing the password.
-# PWDCFG=$DBROOT/../pgaas/pwd.cfg
-# egrep '^Global_Title|^postgres|^repmgr' ${INSTALL_ROOT}/opt/app/cdf/lib/cdf.cfg > $PWDCFG
-
-cd $CFGDIR/main || die "Cannot cd $CFGDIR/main"
-
-sed -e "s!%CFGDIR%!$CFGDIR!" < postgresql.conf.orig > postgresql.conf || die "Cannot cp postgresql.conf"
-sed -e "s!%CFGDIR%!$CFGDIR!" < pg_hba.conf.orig > pg_hba.conf || die "Cannot cp pg_hba.conf"
-